﻿using System.Web.Mvc;
using System.Web.Routing;

namespace HandlesFormat {
    // Note: For instructions on enabling IIS6 or IIS7 classic mode, 
    // visit http://go.microsoft.com/?LinkId=9394801

    public class MvcApplication : System.Web.HttpApplication {
        public static void RegisterRoutes(RouteCollection routes) {
            routes.IgnoreRoute("{resource}.axd/{*pathInfo}");

            routes.MapFormatRoute(
                "Default-three-seg",                                              // Route name
                "{controller}/{action}/{id}",                           // URL with parameters
                new { controller="Home", action="Index", id="" }  // Parameter defaults
            );
        }

        protected void Application_Start() {
            RegisterRoutes(RouteTable.Routes);
            ControllerBuilder.Current.SetControllerFactory(new FormatControllerFactory());
        }
    }
}